org.keycloak.models.cache.infinispan

## Class RealmAdapter

- java.lang.Object
- - org.keycloak.models.cache.infinispan.RealmAdapter

- All Implemented Interfaces:
    CachedRealmModel, RealmModel, RoleContainerModel

      public class RealmAdapter
      extends Object
      implements CachedRealmModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.cache.CachedRealmModel

      `CachedRealmModel.RealmCachedEvent`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.RealmModel

      `RealmModel.IdentityProviderRemovedEvent, RealmModel.IdentityProviderUpdatedEvent, RealmModel.RealmCreationEvent, RealmModel.RealmPostCreateEvent, RealmModel.RealmRemovedEvent`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.RoleContainerModel

      `RoleContainerModel.RoleRemovedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CachedRealm` | `cached`
    `protected RealmCacheSession` | `cacheSession`
    `protected boolean` | `invalidated`
    `protected KeycloakSession` | `session`
    `protected RealmModel` | `updated`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmAdapter(KeycloakSession session, CachedRealm cached, RealmCacheSession cacheSession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationFlowModel` | `addAuthenticationFlow(AuthenticationFlowModel model)`
    `AuthenticatorConfigModel` | `addAuthenticatorConfig(AuthenticatorConfigModel model)`
    `AuthenticationExecutionModel` | `addAuthenticatorExecution(AuthenticationExecutionModel model)`
    `ClientModel` | `addClient(String name)`
    `ClientModel` | `addClient(String id, String clientId)`
    `ClientScopeModel` | `addClientScope(String name)`
    `ClientScopeModel` | `addClientScope(String id, String name)`
    `ComponentModel` | `addComponentModel(ComponentModel model)` Adds component model.
    `void` | `addDefaultClientScope(ClientScopeModel clientScope, boolean defaultScope)`
    `void` | `addDefaultGroup(GroupModel group)`
    `void` | `addDefaultRole(String name)` Adds a role with given name to default roles of this object.
    `void` | `addIdentityProvider(IdentityProviderModel identityProvider)`
    `IdentityProviderMapperModel` | `addIdentityProviderMapper(IdentityProviderMapperModel model)`
    `RequiredActionProviderModel` | `addRequiredActionProvider(RequiredActionProviderModel model)`
    `void` | `addRequiredCredential(String cred)`
    `RoleModel` | `addRole(String name)`
    `RoleModel` | `addRole(String id, String name)`
    `GroupModel` | `createGroup(String id, String name, GroupModel toParent)`
    `boolean` | `equals(Object o)`
    `void` | `executeEvictions(ComponentModel model)`
    `int` | `getAccessCodeLifespan()`
    `int` | `getAccessCodeLifespanLogin()`
    `int` | `getAccessCodeLifespanUserAction()`
    `int` | `getAccessTokenLifespan()`
    `int` | `getAccessTokenLifespanForImplicitFlow()`
    `String` | `getAccountTheme()`
    `int` | `getActionTokenGeneratedByAdminLifespan()`
    `int` | `getActionTokenGeneratedByUserLifespan()`
    `int` | `getActionTokenGeneratedByUserLifespan(String actionTokenId)`
    `String` | `getAdminTheme()`
    `Stream<ClientModel>` | `getAlwaysDisplayInConsoleClientsStream()`
    `String` | `getAttribute(String name)`
    `Boolean` | `getAttribute(String name, Boolean defaultValue)`
    `Integer` | `getAttribute(String name, Integer defaultValue)`
    `Long` | `getAttribute(String name, Long defaultValue)`
    `Map<String,String>` | `getAttributes()`
    `AuthenticationExecutionModel` | `getAuthenticationExecutionByFlowId(String flowId)`
    `AuthenticationExecutionModel` | `getAuthenticationExecutionById(String id)`
    `Stream<AuthenticationExecutionModel>` | `getAuthenticationExecutionsStream(String flowId)` Returns sorted `AuthenticationExecutionModel` as a stream.
    `AuthenticationFlowModel` | `getAuthenticationFlowById(String id)`
    `Stream<AuthenticationFlowModel>` | `getAuthenticationFlowsStream()`
    `AuthenticatorConfigModel` | `getAuthenticatorConfigByAlias(String alias)`
    `AuthenticatorConfigModel` | `getAuthenticatorConfigById(String id)`
    `Stream<AuthenticatorConfigModel>` | `getAuthenticatorConfigsStream()`
    `AuthenticationFlowModel` | `getBrowserFlow()`
    `Map<String,String>` | `getBrowserSecurityHeaders()`
    `ConcurrentHashMap` | `getCachedWith()` Returns a map that contains custom things that are cached along with this model.
    `long` | `getCacheTimestamp()` When was the model was loaded from database.
    `AuthenticationFlowModel` | `getClientAuthenticationFlow()`
    `ClientModel` | `getClientByClientId(String clientId)`
    `ClientModel` | `getClientById(String id)`
    `int` | `getClientOfflineSessionIdleTimeout()`
    `int` | `getClientOfflineSessionMaxLifespan()`
    `ClientScopeModel` | `getClientScopeById(String id)`
    `Stream<ClientScopeModel>` | `getClientScopesStream()`
    `Long` | `getClientsCount()`
    `int` | `getClientSessionIdleTimeout()`
    `int` | `getClientSessionMaxLifespan()`
    `Stream<ClientModel>` | `getClientsStream()`
    `Stream<ClientModel>` | `getClientsStream(Integer firstResult, Integer maxResults)`
    `ComponentModel` | `getComponent(String id)`
    `Stream<ComponentModel>` | `getComponentsStream()`
    `Stream<ComponentModel>` | `getComponentsStream(String parentId)`
    `Stream<ComponentModel>` | `getComponentsStream(String parentId, String providerType)` Returns stream of ComponentModels for specific parentId and providerType.
    `Stream<ClientScopeModel>` | `getDefaultClientScopesStream(boolean defaultScope)`
    `Stream<GroupModel>` | `getDefaultGroupsStream()`
    `String` | `getDefaultLocale()`
    `Stream<String>` | `getDefaultRolesStream()` Returns all default role names of this object as a stream.
    `String` | `getDefaultSignatureAlgorithm()`
    `RealmModel` | `getDelegateForUpdate()` Invalidates the cache for this model and returns a delegate that represents the actual data provider
    `AuthenticationFlowModel` | `getDirectGrantFlow()`
    `String` | `getDisplayName()`
    `String` | `getDisplayNameHtml()`
    `AuthenticationFlowModel` | `getDockerAuthenticationFlow()`
    `String` | `getEmailTheme()`
    `Stream<String>` | `getEnabledEventTypesStream()`
    `long` | `getEventsExpiration()`
    `Stream<String>` | `getEventsListenersStream()`
    `int` | `getFailureFactor()`
    `AuthenticationFlowModel` | `getFlowByAlias(String alias)`
    `GroupModel` | `getGroupById(String id)`
    `Long` | `getGroupsCount(Boolean onlyTopGroups)`
    `Long` | `getGroupsCountByNameContaining(String search)`
    `Stream<GroupModel>` | `getGroupsStream()`
    `String` | `getId()`
    `IdentityProviderModel` | `getIdentityProviderByAlias(String alias)`
    `IdentityProviderMapperModel` | `getIdentityProviderMapperById(String id)`
    `IdentityProviderMapperModel` | `getIdentityProviderMapperByName(String alias, String name)`
    `Stream<IdentityProviderMapperModel>` | `getIdentityProviderMappersByAliasStream(String brokerAlias)`
    `Stream<IdentityProviderMapperModel>` | `getIdentityProviderMappersStream()`
    `Stream<IdentityProviderModel>` | `getIdentityProvidersStream()`
    `String` | `getLoginTheme()`
    `ClientModel` | `getMasterAdminClient()`
    `int` | `getMaxDeltaTimeSeconds()`
    `int` | `getMaxFailureWaitSeconds()`
    `int` | `getMinimumQuickLoginWaitSeconds()`
    `String` | `getName()`
    `int` | `getNotBefore()` Time in seconds since epoc
    `int` | `getOfflineSessionIdleTimeout()`
    `int` | `getOfflineSessionMaxLifespan()`
    `OTPPolicy` | `getOTPPolicy()`
    `PasswordPolicy` | `getPasswordPolicy()`
    `long` | `getQuickLoginCheckMilliSeconds()`
    `Map<String,Map<String,String>>` | `getRealmLocalizationTexts()`
    `Map<String,String>` | `getRealmLocalizationTextsByLocale(String locale)`
    `int` | `getRefreshTokenMaxReuse()`
    `AuthenticationFlowModel` | `getRegistrationFlow()`
    `RequiredActionProviderModel` | `getRequiredActionProviderByAlias(String alias)`
    `RequiredActionProviderModel` | `getRequiredActionProviderById(String id)`
    `Stream<RequiredActionProviderModel>` | `getRequiredActionProvidersStream()` Returns sorted `RequiredActionProviderModel` as a stream.
    `Stream<RequiredCredentialModel>` | `getRequiredCredentialsStream()`
    `AuthenticationFlowModel` | `getResetCredentialsFlow()`
    `RoleModel` | `getRole(String name)`
    `RoleModel` | `getRoleById(String id)`
    `Stream<RoleModel>` | `getRolesStream()`
    `Stream<RoleModel>` | `getRolesStream(Integer first, Integer max)`
    `Map<String,String>` | `getSmtpConfig()`
    `SslRequired` | `getSslRequired()`
    `int` | `getSsoSessionIdleTimeout()`
    `int` | `getSsoSessionIdleTimeoutRememberMe()`
    `int` | `getSsoSessionMaxLifespan()`
    `int` | `getSsoSessionMaxLifespanRememberMe()`
    `Stream<String>` | `getSupportedLocalesStream()`
    `Stream<GroupModel>` | `getTopLevelGroupsStream()`
    `Stream<GroupModel>` | `getTopLevelGroupsStream(Integer first, Integer max)`
    `Map<String,Integer>` | `getUserActionTokenLifespans()` This method will return a map with all the lifespans available or an empty map, but never null.
    `int` | `getWaitIncrementSeconds()`
    `WebAuthnPolicy` | `getWebAuthnPolicy()`
    `WebAuthnPolicy` | `getWebAuthnPolicyPasswordless()`
    `int` | `hashCode()`
    `ComponentModel` | `importComponentModel(ComponentModel model)` Adds component model.
    `void` | `invalidate()` Invalidate the cache for this model
    `protected void` | `invalidateFlag()`
    `boolean` | `isAdminEventsDetailsEnabled()`
    `boolean` | `isAdminEventsEnabled()`
    `boolean` | `isBruteForceProtected()`
    `boolean` | `isDuplicateEmailsAllowed()`
    `boolean` | `isEditUsernameAllowed()`
    `boolean` | `isEnabled()`
    `boolean` | `isEventsEnabled()`
    `boolean` | `isIdentityFederationEnabled()`
    `boolean` | `isInternationalizationEnabled()`
    `boolean` | `isLoginWithEmailAllowed()`
    `boolean` | `isOfflineSessionMaxLifespanEnabled()`
    `boolean` | `isPermanentLockout()`
    `boolean` | `isRegistrationAllowed()`
    `boolean` | `isRegistrationEmailAsUsername()`
    `boolean` | `isRememberMe()`
    `boolean` | `isResetPasswordAllowed()`
    `boolean` | `isRevokeRefreshToken()`
    `protected boolean` | `isUpdated()`
    `boolean` | `isUserManagedAccessAllowed()`
    `boolean` | `isVerifyEmail()`
    `void` | `moveGroup(GroupModel group, GroupModel toParent)`
    `void` | `patchRealmLocalizationTexts(String locale, Map<String,String> localizationTexts)` Patches the realm-specific localization texts.
    `void` | `removeAttribute(String name)`
    `void` | `removeAuthenticationFlow(AuthenticationFlowModel model)`
    `void` | `removeAuthenticatorConfig(AuthenticatorConfigModel model)`
    `void` | `removeAuthenticatorExecution(AuthenticationExecutionModel model)`
    `boolean` | `removeClient(String id)`
    `boolean` | `removeClientScope(String id)`
    `void` | `removeComponent(ComponentModel component)`
    `void` | `removeComponents(String parentId)`
    `void` | `removeDefaultClientScope(ClientScopeModel clientScope)`
    `void` | `removeDefaultGroup(GroupModel group)`
    `void` | `removeDefaultRoles(String... defaultRoles)` Removes default roles from this object according to `defaultRoles`.
    `boolean` | `removeGroup(GroupModel group)`
    `void` | `removeIdentityProviderByAlias(String alias)`
    `void` | `removeIdentityProviderMapper(IdentityProviderMapperModel mapping)`
    `boolean` | `removeRealmLocalizationTexts(String locale)`
    `void` | `removeRequiredActionProvider(RequiredActionProviderModel model)`
    `boolean` | `removeRole(RoleModel role)`
    `Stream<ClientModel>` | `searchClientByClientIdStream(String clientId, Integer firstResult, Integer maxResults)`
    `Stream<GroupModel>` | `searchForGroupByNameStream(String search, Integer first, Integer max)`
    `Stream<RoleModel>` | `searchForRolesStream(String search, Integer first, Integer max)`
    `void` | `setAccessCodeLifespan(int seconds)`
    `void` | `setAccessCodeLifespanLogin(int seconds)`
    `void` | `setAccessCodeLifespanUserAction(int seconds)`
    `void` | `setAccessTokenLifespan(int seconds)`
    `void` | `setAccessTokenLifespanForImplicitFlow(int seconds)`
    `void` | `setAccountTheme(String name)`
    `void` | `setActionTokenGeneratedByAdminLifespan(int seconds)`
    `void` | `setActionTokenGeneratedByUserLifespan(int seconds)`
    `void` | `setActionTokenGeneratedByUserLifespan(String actionTokenId, Integer seconds)`
    `void` | `setAdminEventsDetailsEnabled(boolean enabled)`
    `void` | `setAdminEventsEnabled(boolean enabled)`
    `void` | `setAdminTheme(String name)`
    `void` | `setAttribute(String name, Boolean value)`
    `void` | `setAttribute(String name, Integer value)`
    `void` | `setAttribute(String name, Long value)`
    `void` | `setAttribute(String name, String value)`
    `void` | `setBrowserFlow(AuthenticationFlowModel flow)`
    `void` | `setBrowserSecurityHeaders(Map<String,String> headers)`
    `void` | `setBruteForceProtected(boolean value)`
    `void` | `setClientAuthenticationFlow(AuthenticationFlowModel flow)`
    `void` | `setClientOfflineSessionIdleTimeout(int seconds)`
    `void` | `setClientOfflineSessionMaxLifespan(int seconds)`
    `void` | `setClientSessionIdleTimeout(int seconds)`
    `void` | `setClientSessionMaxLifespan(int seconds)`
    `void` | `setDefaultLocale(String locale)`
    `void` | `setDefaultSignatureAlgorithm(String defaultSignatureAlgorithm)`
    `void` | `setDirectGrantFlow(AuthenticationFlowModel flow)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setDisplayNameHtml(String displayNameHtml)`
    `void` | `setDockerAuthenticationFlow(AuthenticationFlowModel flow)`
    `void` | `setDuplicateEmailsAllowed(boolean duplicateEmailsAllowed)`
    `void` | `setEditUsernameAllowed(boolean editUsernameAllowed)`
    `void` | `setEmailTheme(String name)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setEnabledEventTypes(Set<String> enabledEventTypes)`
    `void` | `setEventsEnabled(boolean enabled)`
    `void` | `setEventsExpiration(long expiration)`
    `void` | `setEventsListeners(Set<String> listeners)`
    `void` | `setFailureFactor(int failureFactor)`
    `void` | `setInternationalizationEnabled(boolean enabled)`
    `void` | `setLoginTheme(String name)`
    `void` | `setLoginWithEmailAllowed(boolean loginWithEmailAllowed)`
    `void` | `setMasterAdminClient(ClientModel client)`
    `void` | `setMaxDeltaTimeSeconds(int val)`
    `void` | `setMaxFailureWaitSeconds(int val)`
    `void` | `setMinimumQuickLoginWaitSeconds(int val)`
    `void` | `setName(String name)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setOfflineSessionIdleTimeout(int seconds)`
    `void` | `setOfflineSessionMaxLifespan(int seconds)`
    `void` | `setOfflineSessionMaxLifespanEnabled(boolean offlineSessionMaxLifespanEnabled)`
    `void` | `setOTPPolicy(OTPPolicy policy)`
    `void` | `setPasswordPolicy(PasswordPolicy policy)`
    `void` | `setPermanentLockout(boolean val)`
    `void` | `setQuickLoginCheckMilliSeconds(long val)`
    `void` | `setRefreshTokenMaxReuse(int refreshTokenMaxReuse)`
    `void` | `setRegistrationAllowed(boolean registrationAllowed)`
    `void` | `setRegistrationEmailAsUsername(boolean registrationEmailAsUsername)`
    `void` | `setRegistrationFlow(AuthenticationFlowModel flow)`
    `void` | `setRememberMe(boolean rememberMe)`
    `void` | `setResetCredentialsFlow(AuthenticationFlowModel flow)`
    `void` | `setResetPasswordAllowed(boolean resetPasswordAllowed)`
    `void` | `setRevokeRefreshToken(boolean revokeRefreshToken)`
    `void` | `setSmtpConfig(Map<String,String> smtpConfig)`
    `void` | `setSslRequired(SslRequired sslRequired)`
    `void` | `setSsoSessionIdleTimeout(int seconds)`
    `void` | `setSsoSessionIdleTimeoutRememberMe(int seconds)`
    `void` | `setSsoSessionMaxLifespan(int seconds)`
    `void` | `setSsoSessionMaxLifespanRememberMe(int seconds)`
    `void` | `setSupportedLocales(Set<String> locales)`
    `void` | `setUserManagedAccessAllowed(boolean userManagedAccessAllowed)`
    `void` | `setVerifyEmail(boolean verifyEmail)`
    `void` | `setWaitIncrementSeconds(int val)`
    `void` | `setWebAuthnPolicy(WebAuthnPolicy policy)` Set WebAuthn policy for 2-factor authentication
    `void` | `setWebAuthnPolicyPasswordless(WebAuthnPolicy policy)` Set WebAuthn passwordless policy below.
    `String` | `toString()`
    `void` | `updateAuthenticationFlow(AuthenticationFlowModel model)`
    `void` | `updateAuthenticatorConfig(AuthenticatorConfigModel model)`
    `void` | `updateAuthenticatorExecution(AuthenticationExecutionModel model)`
    `void` | `updateComponent(ComponentModel component)`
    `void` | `updateDefaultRoles(String... defaultRoles)` Updates default roles of this object.
    `void` | `updateIdentityProvider(IdentityProviderModel identityProvider)`
    `void` | `updateIdentityProviderMapper(IdentityProviderMapperModel mapping)`
    `void` | `updateRequiredActionProvider(RequiredActionProviderModel model)`
    `void` | `updateRequiredCredentials(Set<String> creds)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.RealmModel

      `createGroup, createGroup, createGroup, getAlwaysDisplayInConsoleClients, getAuthenticationExecutions, getAuthenticationFlows, getAuthenticatorConfigs, getClients, getClients, getClientScopes, getClientStorageProviders, getClientStorageProvidersStream, getComponents, getComponents, getComponents, getDefaultClientScopes, getDefaultGroups, getEnabledEventTypes, getEventsListeners, getGroups, getIdentityProviderMappers, getIdentityProviderMappersByAlias, getIdentityProviders, getRequiredActionProviders, getRequiredCredentials, getRoleStorageProviders, getRoleStorageProvidersStream, getStorageProviders, getSupportedLocales, getTopLevelGroups, getTopLevelGroups, getUserStorageProviders, getUserStorageProvidersStream, searchClientByClientId, searchForGroupByName`

    - ### Methods inherited from interface org.keycloak.models.RoleContainerModel

      `getDefaultRoles, getRoles, getRoles, searchForRoles`

- - ### Field Detail

    - #### cached

          protected CachedRealm cached

    - #### cacheSession

          protected RealmCacheSession cacheSession

    - #### updated

          protected volatile RealmModel updated

    - #### session

          protected KeycloakSession session

    - #### invalidated

          protected volatile boolean invalidated

  - ### Constructor Detail

    - #### RealmAdapter

          public RealmAdapter(KeycloakSession session,
                              CachedRealm cached,
                              RealmCacheSession cacheSession)

  - ### Method Detail

    - #### getDelegateForUpdate

          public RealmModel getDelegateForUpdate()

      Description copied from interface: `CachedRealmModel`
      Invalidates the cache for this model and returns a delegate that represents the actual data provider
      Specified by:
        `getDelegateForUpdate` in interface `CachedRealmModel`
      Returns:

    - #### invalidateFlag

          protected void invalidateFlag()

    - #### invalidate

          public void invalidate()

      Description copied from interface: `CachedRealmModel`
      Invalidate the cache for this model
      Specified by:
        `invalidate` in interface `CachedRealmModel`

    - #### getCacheTimestamp

          public long getCacheTimestamp()

      Description copied from interface: `CachedRealmModel`
      When was the model was loaded from database.
      Specified by:
        `getCacheTimestamp` in interface `CachedRealmModel`
      Returns:

    - #### getCachedWith

          public ConcurrentHashMap getCachedWith()

      Description copied from interface: `CachedRealmModel`
      Returns a map that contains custom things that are cached along with this model. You can write to this map.
      Specified by:
        `getCachedWith` in interface `CachedRealmModel`
      Returns:

    - #### isUpdated

          protected boolean isUpdated()

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `RealmModel`
      Specified by:
        `getId` in interface `RoleContainerModel`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `RealmModel`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `RealmModel`

    - #### getDisplayName

          public String getDisplayName()

      Specified by:
        `getDisplayName` in interface `RealmModel`

    - #### setDisplayName

          public void setDisplayName(String displayName)

      Specified by:
        `setDisplayName` in interface `RealmModel`

    - #### getDisplayNameHtml

          public String getDisplayNameHtml()

      Specified by:
        `getDisplayNameHtml` in interface `RealmModel`

    - #### setDisplayNameHtml

          public void setDisplayNameHtml(String displayNameHtml)

      Specified by:
        `setDisplayNameHtml` in interface `RealmModel`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `RealmModel`

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Specified by:
        `setEnabled` in interface `RealmModel`

    - #### isUserManagedAccessAllowed

          public boolean isUserManagedAccessAllowed()

      Specified by:
        `isUserManagedAccessAllowed` in interface `RealmModel`

    - #### setUserManagedAccessAllowed

          public void setUserManagedAccessAllowed(boolean userManagedAccessAllowed)

      Specified by:
        `setUserManagedAccessAllowed` in interface `RealmModel`

    - #### getSslRequired

          public SslRequired getSslRequired()

      Specified by:
        `getSslRequired` in interface `RealmModel`

    - #### setSslRequired

          public void setSslRequired(SslRequired sslRequired)

      Specified by:
        `setSslRequired` in interface `RealmModel`

    - #### isRegistrationAllowed

          public boolean isRegistrationAllowed()

      Specified by:
        `isRegistrationAllowed` in interface `RealmModel`

    - #### setRegistrationAllowed

          public void setRegistrationAllowed(boolean registrationAllowed)

      Specified by:
        `setRegistrationAllowed` in interface `RealmModel`

    - #### isRegistrationEmailAsUsername

          public boolean isRegistrationEmailAsUsername()

      Specified by:
        `isRegistrationEmailAsUsername` in interface `RealmModel`

    - #### setRegistrationEmailAsUsername

          public void setRegistrationEmailAsUsername(boolean registrationEmailAsUsername)

      Specified by:
        `setRegistrationEmailAsUsername` in interface `RealmModel`

    - #### isRememberMe

          public boolean isRememberMe()

      Specified by:
        `isRememberMe` in interface `RealmModel`

    - #### setRememberMe

          public void setRememberMe(boolean rememberMe)

      Specified by:
        `setRememberMe` in interface `RealmModel`

    - #### getDefaultSignatureAlgorithm

          public String getDefaultSignatureAlgorithm()

      Specified by:
        `getDefaultSignatureAlgorithm` in interface `RealmModel`

    - #### setDefaultSignatureAlgorithm

          public void setDefaultSignatureAlgorithm(String defaultSignatureAlgorithm)

      Specified by:
        `setDefaultSignatureAlgorithm` in interface `RealmModel`

    - #### isBruteForceProtected

          public boolean isBruteForceProtected()

      Specified by:
        `isBruteForceProtected` in interface `RealmModel`

    - #### setBruteForceProtected

          public void setBruteForceProtected(boolean value)

      Specified by:
        `setBruteForceProtected` in interface `RealmModel`

    - #### isPermanentLockout

          public boolean isPermanentLockout()

      Specified by:
        `isPermanentLockout` in interface `RealmModel`

    - #### setPermanentLockout

          public void setPermanentLockout(boolean val)

      Specified by:
        `setPermanentLockout` in interface `RealmModel`

    - #### getMaxFailureWaitSeconds

          public int getMaxFailureWaitSeconds()

      Specified by:
        `getMaxFailureWaitSeconds` in interface `RealmModel`

    - #### setMaxFailureWaitSeconds

          public void setMaxFailureWaitSeconds(int val)

      Specified by:
        `setMaxFailureWaitSeconds` in interface `RealmModel`

    - #### getWaitIncrementSeconds

          public int getWaitIncrementSeconds()

      Specified by:
        `getWaitIncrementSeconds` in interface `RealmModel`

    - #### setWaitIncrementSeconds

          public void setWaitIncrementSeconds(int val)

      Specified by:
        `setWaitIncrementSeconds` in interface `RealmModel`

    - #### getMinimumQuickLoginWaitSeconds

          public int getMinimumQuickLoginWaitSeconds()

      Specified by:
        `getMinimumQuickLoginWaitSeconds` in interface `RealmModel`

    - #### setMinimumQuickLoginWaitSeconds

          public void setMinimumQuickLoginWaitSeconds(int val)

      Specified by:
        `setMinimumQuickLoginWaitSeconds` in interface `RealmModel`

    - #### getQuickLoginCheckMilliSeconds

          public long getQuickLoginCheckMilliSeconds()

      Specified by:
        `getQuickLoginCheckMilliSeconds` in interface `RealmModel`

    - #### setQuickLoginCheckMilliSeconds

          public void setQuickLoginCheckMilliSeconds(long val)

      Specified by:
        `setQuickLoginCheckMilliSeconds` in interface `RealmModel`

    - #### getMaxDeltaTimeSeconds

          public int getMaxDeltaTimeSeconds()

      Specified by:
        `getMaxDeltaTimeSeconds` in interface `RealmModel`

    - #### setMaxDeltaTimeSeconds

          public void setMaxDeltaTimeSeconds(int val)

      Specified by:
        `setMaxDeltaTimeSeconds` in interface `RealmModel`

    - #### getFailureFactor

          public int getFailureFactor()

      Specified by:
        `getFailureFactor` in interface `RealmModel`

    - #### setFailureFactor

          public void setFailureFactor(int failureFactor)

      Specified by:
        `setFailureFactor` in interface `RealmModel`

    - #### isVerifyEmail

          public boolean isVerifyEmail()

      Specified by:
        `isVerifyEmail` in interface `RealmModel`

    - #### setVerifyEmail

          public void setVerifyEmail(boolean verifyEmail)

      Specified by:
        `setVerifyEmail` in interface `RealmModel`

    - #### isLoginWithEmailAllowed

          public boolean isLoginWithEmailAllowed()

      Specified by:
        `isLoginWithEmailAllowed` in interface `RealmModel`

    - #### setLoginWithEmailAllowed

          public void setLoginWithEmailAllowed(boolean loginWithEmailAllowed)

      Specified by:
        `setLoginWithEmailAllowed` in interface `RealmModel`

    - #### isDuplicateEmailsAllowed

          public boolean isDuplicateEmailsAllowed()

      Specified by:
        `isDuplicateEmailsAllowed` in interface `RealmModel`

    - #### setDuplicateEmailsAllowed

          public void setDuplicateEmailsAllowed(boolean duplicateEmailsAllowed)

      Specified by:
        `setDuplicateEmailsAllowed` in interface `RealmModel`

    - #### isResetPasswordAllowed

          public boolean isResetPasswordAllowed()

      Specified by:
        `isResetPasswordAllowed` in interface `RealmModel`

    - #### setResetPasswordAllowed

          public void setResetPasswordAllowed(boolean resetPasswordAllowed)

      Specified by:
        `setResetPasswordAllowed` in interface `RealmModel`

    - #### isEditUsernameAllowed

          public boolean isEditUsernameAllowed()

      Specified by:
        `isEditUsernameAllowed` in interface `RealmModel`

    - #### setEditUsernameAllowed

          public void setEditUsernameAllowed(boolean editUsernameAllowed)

      Specified by:
        `setEditUsernameAllowed` in interface `RealmModel`

    - #### isRevokeRefreshToken

          public boolean isRevokeRefreshToken()

      Specified by:
        `isRevokeRefreshToken` in interface `RealmModel`

    - #### setRevokeRefreshToken

          public void setRevokeRefreshToken(boolean revokeRefreshToken)

      Specified by:
        `setRevokeRefreshToken` in interface `RealmModel`

    - #### getRefreshTokenMaxReuse

          public int getRefreshTokenMaxReuse()

      Specified by:
        `getRefreshTokenMaxReuse` in interface `RealmModel`

    - #### setRefreshTokenMaxReuse

          public void setRefreshTokenMaxReuse(int refreshTokenMaxReuse)

      Specified by:
        `setRefreshTokenMaxReuse` in interface `RealmModel`

    - #### getSsoSessionIdleTimeout

          public int getSsoSessionIdleTimeout()

      Specified by:
        `getSsoSessionIdleTimeout` in interface `RealmModel`

    - #### setSsoSessionIdleTimeout

          public void setSsoSessionIdleTimeout(int seconds)

      Specified by:
        `setSsoSessionIdleTimeout` in interface `RealmModel`

    - #### getSsoSessionMaxLifespan

          public int getSsoSessionMaxLifespan()

      Specified by:
        `getSsoSessionMaxLifespan` in interface `RealmModel`

    - #### setSsoSessionMaxLifespan

          public void setSsoSessionMaxLifespan(int seconds)

      Specified by:
        `setSsoSessionMaxLifespan` in interface `RealmModel`

    - #### getSsoSessionIdleTimeoutRememberMe

          public int getSsoSessionIdleTimeoutRememberMe()

      Specified by:
        `getSsoSessionIdleTimeoutRememberMe` in interface `RealmModel`

    - #### setSsoSessionIdleTimeoutRememberMe

          public void setSsoSessionIdleTimeoutRememberMe(int seconds)

      Specified by:
        `setSsoSessionIdleTimeoutRememberMe` in interface `RealmModel`

    - #### getSsoSessionMaxLifespanRememberMe

          public int getSsoSessionMaxLifespanRememberMe()

      Specified by:
        `getSsoSessionMaxLifespanRememberMe` in interface `RealmModel`

    - #### setSsoSessionMaxLifespanRememberMe

          public void setSsoSessionMaxLifespanRememberMe(int seconds)

      Specified by:
        `setSsoSessionMaxLifespanRememberMe` in interface `RealmModel`

    - #### getOfflineSessionIdleTimeout

          public int getOfflineSessionIdleTimeout()

      Specified by:
        `getOfflineSessionIdleTimeout` in interface `RealmModel`

    - #### setOfflineSessionIdleTimeout

          public void setOfflineSessionIdleTimeout(int seconds)

      Specified by:
        `setOfflineSessionIdleTimeout` in interface `RealmModel`

    - #### isOfflineSessionMaxLifespanEnabled

          public boolean isOfflineSessionMaxLifespanEnabled()

      Specified by:
        `isOfflineSessionMaxLifespanEnabled` in interface `RealmModel`

    - #### setOfflineSessionMaxLifespanEnabled

          public void setOfflineSessionMaxLifespanEnabled(boolean offlineSessionMaxLifespanEnabled)

      Specified by:
        `setOfflineSessionMaxLifespanEnabled` in interface `RealmModel`

    - #### getOfflineSessionMaxLifespan

          public int getOfflineSessionMaxLifespan()

      Specified by:
        `getOfflineSessionMaxLifespan` in interface `RealmModel`

    - #### setOfflineSessionMaxLifespan

          public void setOfflineSessionMaxLifespan(int seconds)

      Specified by:
        `setOfflineSessionMaxLifespan` in interface `RealmModel`

    - #### getClientSessionIdleTimeout

          public int getClientSessionIdleTimeout()

      Specified by:
        `getClientSessionIdleTimeout` in interface `RealmModel`

    - #### setClientSessionIdleTimeout

          public void setClientSessionIdleTimeout(int seconds)

      Specified by:
        `setClientSessionIdleTimeout` in interface `RealmModel`

    - #### getClientSessionMaxLifespan

          public int getClientSessionMaxLifespan()

      Specified by:
        `getClientSessionMaxLifespan` in interface `RealmModel`

    - #### setClientSessionMaxLifespan

          public void setClientSessionMaxLifespan(int seconds)

      Specified by:
        `setClientSessionMaxLifespan` in interface `RealmModel`

    - #### getClientOfflineSessionIdleTimeout

          public int getClientOfflineSessionIdleTimeout()

      Specified by:
        `getClientOfflineSessionIdleTimeout` in interface `RealmModel`

    - #### setClientOfflineSessionIdleTimeout

          public void setClientOfflineSessionIdleTimeout(int seconds)

      Specified by:
        `setClientOfflineSessionIdleTimeout` in interface `RealmModel`

    - #### getClientOfflineSessionMaxLifespan

          public int getClientOfflineSessionMaxLifespan()

      Specified by:
        `getClientOfflineSessionMaxLifespan` in interface `RealmModel`

    - #### setClientOfflineSessionMaxLifespan

          public void setClientOfflineSessionMaxLifespan(int seconds)

      Specified by:
        `setClientOfflineSessionMaxLifespan` in interface `RealmModel`

    - #### getAccessTokenLifespan

          public int getAccessTokenLifespan()

      Specified by:
        `getAccessTokenLifespan` in interface `RealmModel`

    - #### setAccessTokenLifespan

          public void setAccessTokenLifespan(int seconds)

      Specified by:
        `setAccessTokenLifespan` in interface `RealmModel`

    - #### getAccessTokenLifespanForImplicitFlow

          public int getAccessTokenLifespanForImplicitFlow()

      Specified by:
        `getAccessTokenLifespanForImplicitFlow` in interface `RealmModel`

    - #### setAccessTokenLifespanForImplicitFlow

          public void setAccessTokenLifespanForImplicitFlow(int seconds)

      Specified by:
        `setAccessTokenLifespanForImplicitFlow` in interface `RealmModel`

    - #### getAccessCodeLifespan

          public int getAccessCodeLifespan()

      Specified by:
        `getAccessCodeLifespan` in interface `RealmModel`

    - #### setAccessCodeLifespan

          public void setAccessCodeLifespan(int seconds)

      Specified by:
        `setAccessCodeLifespan` in interface `RealmModel`

    - #### getAccessCodeLifespanUserAction

          public int getAccessCodeLifespanUserAction()

      Specified by:
        `getAccessCodeLifespanUserAction` in interface `RealmModel`

    - #### setAccessCodeLifespanUserAction

          public void setAccessCodeLifespanUserAction(int seconds)

      Specified by:
        `setAccessCodeLifespanUserAction` in interface `RealmModel`

    - #### getUserActionTokenLifespans

          public Map<String,Integer> getUserActionTokenLifespans()

      Description copied from interface: `RealmModel`
      This method will return a map with all the lifespans available or an empty map, but never null.
      Specified by:
        `getUserActionTokenLifespans` in interface `RealmModel`
      Returns:
        map with user action token lifespans

    - #### getAccessCodeLifespanLogin

          public int getAccessCodeLifespanLogin()

      Specified by:
        `getAccessCodeLifespanLogin` in interface `RealmModel`

    - #### setAccessCodeLifespanLogin

          public void setAccessCodeLifespanLogin(int seconds)

      Specified by:
        `setAccessCodeLifespanLogin` in interface `RealmModel`

    - #### getActionTokenGeneratedByAdminLifespan

          public int getActionTokenGeneratedByAdminLifespan()

      Specified by:
        `getActionTokenGeneratedByAdminLifespan` in interface `RealmModel`

    - #### setActionTokenGeneratedByAdminLifespan

          public void setActionTokenGeneratedByAdminLifespan(int seconds)

      Specified by:
        `setActionTokenGeneratedByAdminLifespan` in interface `RealmModel`

    - #### getActionTokenGeneratedByUserLifespan

          public int getActionTokenGeneratedByUserLifespan()

      Specified by:
        `getActionTokenGeneratedByUserLifespan` in interface `RealmModel`

    - #### setActionTokenGeneratedByUserLifespan

          public void setActionTokenGeneratedByUserLifespan(int seconds)

      Specified by:
        `setActionTokenGeneratedByUserLifespan` in interface `RealmModel`

    - #### getActionTokenGeneratedByUserLifespan

          public int getActionTokenGeneratedByUserLifespan(String actionTokenId)

      Specified by:
        `getActionTokenGeneratedByUserLifespan` in interface `RealmModel`

    - #### setActionTokenGeneratedByUserLifespan

          public void setActionTokenGeneratedByUserLifespan(String actionTokenId,
                                                            Integer seconds)

      Specified by:
        `setActionTokenGeneratedByUserLifespan` in interface `RealmModel`

    - #### getRequiredCredentialsStream

          public Stream<RequiredCredentialModel> getRequiredCredentialsStream()

      Specified by:
        `getRequiredCredentialsStream` in interface `RealmModel`

    - #### addRequiredCredential

          public void addRequiredCredential(String cred)

      Specified by:
        `addRequiredCredential` in interface `RealmModel`

    - #### getPasswordPolicy

          public PasswordPolicy getPasswordPolicy()

      Specified by:
        `getPasswordPolicy` in interface `RealmModel`

    - #### setPasswordPolicy

          public void setPasswordPolicy(PasswordPolicy policy)

      Specified by:
        `setPasswordPolicy` in interface `RealmModel`

    - #### getOTPPolicy

          public OTPPolicy getOTPPolicy()

      Specified by:
        `getOTPPolicy` in interface `RealmModel`

    - #### setOTPPolicy

          public void setOTPPolicy(OTPPolicy policy)

      Specified by:
        `setOTPPolicy` in interface `RealmModel`

    - #### getWebAuthnPolicy

          public WebAuthnPolicy getWebAuthnPolicy()

      Specified by:
        `getWebAuthnPolicy` in interface `RealmModel`
      Returns:
        WebAuthn policy for 2-factor authentication

    - #### setWebAuthnPolicy

          public void setWebAuthnPolicy(WebAuthnPolicy policy)

      Description copied from interface: `RealmModel`
      Set WebAuthn policy for 2-factor authentication
      Specified by:
        `setWebAuthnPolicy` in interface `RealmModel`

    - #### getWebAuthnPolicyPasswordless

          public WebAuthnPolicy getWebAuthnPolicyPasswordless()

      Specified by:
        `getWebAuthnPolicyPasswordless` in interface `RealmModel`
      Returns:
        WebAuthn passwordless policy below. This is temporary and will be removed later.

    - #### setWebAuthnPolicyPasswordless

          public void setWebAuthnPolicyPasswordless(WebAuthnPolicy policy)

      Description copied from interface: `RealmModel`
      Set WebAuthn passwordless policy below. This is temporary and will be removed later.
      Specified by:
        `setWebAuthnPolicyPasswordless` in interface `RealmModel`

    - #### getRoleById

          public RoleModel getRoleById(String id)

      Specified by:
        `getRoleById` in interface `RealmModel`

    - #### getDefaultGroupsStream

          public Stream<GroupModel> getDefaultGroupsStream()

      Specified by:
        `getDefaultGroupsStream` in interface `RealmModel`

    - #### addDefaultGroup

          public void addDefaultGroup(GroupModel group)

      Specified by:
        `addDefaultGroup` in interface `RealmModel`

    - #### removeDefaultGroup

          public void removeDefaultGroup(GroupModel group)

      Specified by:
        `removeDefaultGroup` in interface `RealmModel`

    - #### getDefaultRolesStream

          public Stream<String> getDefaultRolesStream()

      Description copied from interface: `RoleContainerModel`
      Returns all default role names of this object as a stream.
      Specified by:
        `getDefaultRolesStream` in interface `RoleContainerModel`
      Returns:
        stream of default role names of this object. Never returns `null`.

    - #### addDefaultRole

          public void addDefaultRole(String name)

      Description copied from interface: `RoleContainerModel`
      Adds a role with given name to default roles of this object. If the role doesn't exist a new role is created.
      Specified by:
        `addDefaultRole` in interface `RoleContainerModel`
      Parameters:
        `name` - of the role to be (created and ) added

    - #### updateDefaultRoles

          public void updateDefaultRoles(String... defaultRoles)

      Description copied from interface: `RoleContainerModel`
      Updates default roles of this object. It removes all default roles which are not specified by `defaultRoles` and adds all which weren't present in original default roles. In other words it's the same as calling `Set.retainAll` and `Set.addAll`.
      Specified by:
        `updateDefaultRoles` in interface `RoleContainerModel`
      Parameters:
        `defaultRoles` - Array of realm roles to be updated

    - #### removeDefaultRoles

          public void removeDefaultRoles(String... defaultRoles)

      Description copied from interface: `RoleContainerModel`
      Removes default roles from this object according to `defaultRoles`.
      Specified by:
        `removeDefaultRoles` in interface `RoleContainerModel`
      Parameters:
        `defaultRoles` - Role names to be removed from default roles of this object.

    - #### getClientsStream

          public Stream<ClientModel> getClientsStream()

      Specified by:
        `getClientsStream` in interface `RealmModel`

    - #### getAlwaysDisplayInConsoleClientsStream

          public Stream<ClientModel> getAlwaysDisplayInConsoleClientsStream()

      Specified by:
        `getAlwaysDisplayInConsoleClientsStream` in interface `RealmModel`

    - #### addClient

          public ClientModel addClient(String name)

      Specified by:
        `addClient` in interface `RealmModel`

    - #### addClient

          public ClientModel addClient(String id,
                                       String clientId)

      Specified by:
        `addClient` in interface `RealmModel`

    - #### removeClient

          public boolean removeClient(String id)

      Specified by:
        `removeClient` in interface `RealmModel`

    - #### getClientById

          public ClientModel getClientById(String id)

      Specified by:
        `getClientById` in interface `RealmModel`

    - #### getClientByClientId

          public ClientModel getClientByClientId(String clientId)

      Specified by:
        `getClientByClientId` in interface `RealmModel`

    - #### searchClientByClientIdStream

          public Stream<ClientModel> searchClientByClientIdStream(String clientId,
                                                                  Integer firstResult,
                                                                  Integer maxResults)

      Specified by:
        `searchClientByClientIdStream` in interface `RealmModel`

    - #### getClientsStream

          public Stream<ClientModel> getClientsStream(Integer firstResult,
                                                      Integer maxResults)

      Specified by:
        `getClientsStream` in interface `RealmModel`

    - #### getClientsCount

          public Long getClientsCount()

      Specified by:
        `getClientsCount` in interface `RealmModel`

    - #### updateRequiredCredentials

          public void updateRequiredCredentials(Set<String> creds)

      Specified by:
        `updateRequiredCredentials` in interface `RealmModel`

    - #### getBrowserSecurityHeaders

          public Map<String,String> getBrowserSecurityHeaders()

      Specified by:
        `getBrowserSecurityHeaders` in interface `RealmModel`

    - #### setBrowserSecurityHeaders

          public void setBrowserSecurityHeaders(Map<String,String> headers)

      Specified by:
        `setBrowserSecurityHeaders` in interface `RealmModel`

    - #### getSmtpConfig

          public Map<String,String> getSmtpConfig()

      Specified by:
        `getSmtpConfig` in interface `RealmModel`

    - #### setSmtpConfig

          public void setSmtpConfig(Map<String,String> smtpConfig)

      Specified by:
        `setSmtpConfig` in interface `RealmModel`

    - #### getIdentityProvidersStream

          public Stream<IdentityProviderModel> getIdentityProvidersStream()

      Specified by:
        `getIdentityProvidersStream` in interface `RealmModel`

    - #### getIdentityProviderByAlias

          public IdentityProviderModel getIdentityProviderByAlias(String alias)

      Specified by:
        `getIdentityProviderByAlias` in interface `RealmModel`

    - #### addIdentityProvider

          public void addIdentityProvider(IdentityProviderModel identityProvider)

      Specified by:
        `addIdentityProvider` in interface `RealmModel`

    - #### updateIdentityProvider

          public void updateIdentityProvider(IdentityProviderModel identityProvider)

      Specified by:
        `updateIdentityProvider` in interface `RealmModel`

    - #### removeIdentityProviderByAlias

          public void removeIdentityProviderByAlias(String alias)

      Specified by:
        `removeIdentityProviderByAlias` in interface `RealmModel`

    - #### getLoginTheme

          public String getLoginTheme()

      Specified by:
        `getLoginTheme` in interface `RealmModel`

    - #### setLoginTheme

          public void setLoginTheme(String name)

      Specified by:
        `setLoginTheme` in interface `RealmModel`

    - #### getAccountTheme

          public String getAccountTheme()

      Specified by:
        `getAccountTheme` in interface `RealmModel`

    - #### setAccountTheme

          public void setAccountTheme(String name)

      Specified by:
        `setAccountTheme` in interface `RealmModel`

    - #### getAdminTheme

          public String getAdminTheme()

      Specified by:
        `getAdminTheme` in interface `RealmModel`

    - #### setAdminTheme

          public void setAdminTheme(String name)

      Specified by:
        `setAdminTheme` in interface `RealmModel`

    - #### getEmailTheme

          public String getEmailTheme()

      Specified by:
        `getEmailTheme` in interface `RealmModel`

    - #### setEmailTheme

          public void setEmailTheme(String name)

      Specified by:
        `setEmailTheme` in interface `RealmModel`

    - #### getNotBefore

          public int getNotBefore()

      Description copied from interface: `RealmModel`
      Time in seconds since epoc
      Specified by:
        `getNotBefore` in interface `RealmModel`
      Returns:

    - #### setNotBefore

          public void setNotBefore(int notBefore)

      Specified by:
        `setNotBefore` in interface `RealmModel`

    - #### isEventsEnabled

          public boolean isEventsEnabled()

      Specified by:
        `isEventsEnabled` in interface `RealmModel`

    - #### setEventsEnabled

          public void setEventsEnabled(boolean enabled)

      Specified by:
        `setEventsEnabled` in interface `RealmModel`

    - #### getEventsExpiration

          public long getEventsExpiration()

      Specified by:
        `getEventsExpiration` in interface `RealmModel`

    - #### setEventsExpiration

          public void setEventsExpiration(long expiration)

      Specified by:
        `setEventsExpiration` in interface `RealmModel`

    - #### getEventsListenersStream

          public Stream<String> getEventsListenersStream()

      Specified by:
        `getEventsListenersStream` in interface `RealmModel`

    - #### setEventsListeners

          public void setEventsListeners(Set<String> listeners)

      Specified by:
        `setEventsListeners` in interface `RealmModel`

    - #### getEnabledEventTypesStream

          public Stream<String> getEnabledEventTypesStream()

      Specified by:
        `getEnabledEventTypesStream` in interface `RealmModel`

    - #### setEnabledEventTypes

          public void setEnabledEventTypes(Set<String> enabledEventTypes)

      Specified by:
        `setEnabledEventTypes` in interface `RealmModel`

    - #### isAdminEventsEnabled

          public boolean isAdminEventsEnabled()

      Specified by:
        `isAdminEventsEnabled` in interface `RealmModel`

    - #### setAdminEventsEnabled

          public void setAdminEventsEnabled(boolean enabled)

      Specified by:
        `setAdminEventsEnabled` in interface `RealmModel`

    - #### isAdminEventsDetailsEnabled

          public boolean isAdminEventsDetailsEnabled()

      Specified by:
        `isAdminEventsDetailsEnabled` in interface `RealmModel`

    - #### setAdminEventsDetailsEnabled

          public void setAdminEventsDetailsEnabled(boolean enabled)

      Specified by:
        `setAdminEventsDetailsEnabled` in interface `RealmModel`

    - #### getMasterAdminClient

          public ClientModel getMasterAdminClient()

      Specified by:
        `getMasterAdminClient` in interface `RealmModel`

    - #### setMasterAdminClient

          public void setMasterAdminClient(ClientModel client)

      Specified by:
        `setMasterAdminClient` in interface `RealmModel`

    - #### getRole

          public RoleModel getRole(String name)

      Specified by:
        `getRole` in interface `RoleContainerModel`

    - #### getRolesStream

          public Stream<RoleModel> getRolesStream()

      Specified by:
        `getRolesStream` in interface `RoleContainerModel`

    - #### getRolesStream

          public Stream<RoleModel> getRolesStream(Integer first,
                                                  Integer max)

      Specified by:
        `getRolesStream` in interface `RoleContainerModel`

    - #### searchForRolesStream

          public Stream<RoleModel> searchForRolesStream(String search,
                                                        Integer first,
                                                        Integer max)

      Specified by:
        `searchForRolesStream` in interface `RoleContainerModel`

    - #### addRole

          public RoleModel addRole(String name)

      Specified by:
        `addRole` in interface `RoleContainerModel`

    - #### addRole

          public RoleModel addRole(String id,
                                   String name)

      Specified by:
        `addRole` in interface `RoleContainerModel`

    - #### removeRole

          public boolean removeRole(RoleModel role)

      Specified by:
        `removeRole` in interface `RoleContainerModel`

    - #### isIdentityFederationEnabled

          public boolean isIdentityFederationEnabled()

      Specified by:
        `isIdentityFederationEnabled` in interface `RealmModel`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isInternationalizationEnabled

          public boolean isInternationalizationEnabled()

      Specified by:
        `isInternationalizationEnabled` in interface `RealmModel`

    - #### setInternationalizationEnabled

          public void setInternationalizationEnabled(boolean enabled)

      Specified by:
        `setInternationalizationEnabled` in interface `RealmModel`

    - #### getSupportedLocalesStream

          public Stream<String> getSupportedLocalesStream()

      Specified by:
        `getSupportedLocalesStream` in interface `RealmModel`

    - #### setSupportedLocales

          public void setSupportedLocales(Set<String> locales)

      Specified by:
        `setSupportedLocales` in interface `RealmModel`

    - #### getDefaultLocale

          public String getDefaultLocale()

      Specified by:
        `getDefaultLocale` in interface `RealmModel`

    - #### setDefaultLocale

          public void setDefaultLocale(String locale)

      Specified by:
        `setDefaultLocale` in interface `RealmModel`

    - #### getIdentityProviderMappersStream

          public Stream<IdentityProviderMapperModel> getIdentityProviderMappersStream()

      Specified by:
        `getIdentityProviderMappersStream` in interface `RealmModel`

    - #### getIdentityProviderMappersByAliasStream

          public Stream<IdentityProviderMapperModel> getIdentityProviderMappersByAliasStream(String brokerAlias)

      Specified by:
        `getIdentityProviderMappersByAliasStream` in interface `RealmModel`

    - #### addIdentityProviderMapper

          public IdentityProviderMapperModel addIdentityProviderMapper(IdentityProviderMapperModel model)

      Specified by:
        `addIdentityProviderMapper` in interface `RealmModel`

    - #### removeIdentityProviderMapper

          public void removeIdentityProviderMapper(IdentityProviderMapperModel mapping)

      Specified by:
        `removeIdentityProviderMapper` in interface `RealmModel`

    - #### updateIdentityProviderMapper

          public void updateIdentityProviderMapper(IdentityProviderMapperModel mapping)

      Specified by:
        `updateIdentityProviderMapper` in interface `RealmModel`

    - #### getIdentityProviderMapperById

          public IdentityProviderMapperModel getIdentityProviderMapperById(String id)

      Specified by:
        `getIdentityProviderMapperById` in interface `RealmModel`

    - #### getIdentityProviderMapperByName

          public IdentityProviderMapperModel getIdentityProviderMapperByName(String alias,
                                                                             String name)

      Specified by:
        `getIdentityProviderMapperByName` in interface `RealmModel`

    - #### getBrowserFlow

          public AuthenticationFlowModel getBrowserFlow()

      Specified by:
        `getBrowserFlow` in interface `RealmModel`

    - #### setBrowserFlow

          public void setBrowserFlow(AuthenticationFlowModel flow)

      Specified by:
        `setBrowserFlow` in interface `RealmModel`

    - #### getRegistrationFlow

          public AuthenticationFlowModel getRegistrationFlow()

      Specified by:
        `getRegistrationFlow` in interface `RealmModel`

    - #### setRegistrationFlow

          public void setRegistrationFlow(AuthenticationFlowModel flow)

      Specified by:
        `setRegistrationFlow` in interface `RealmModel`

    - #### getDirectGrantFlow

          public AuthenticationFlowModel getDirectGrantFlow()

      Specified by:
        `getDirectGrantFlow` in interface `RealmModel`

    - #### setDirectGrantFlow

          public void setDirectGrantFlow(AuthenticationFlowModel flow)

      Specified by:
        `setDirectGrantFlow` in interface `RealmModel`

    - #### getResetCredentialsFlow

          public AuthenticationFlowModel getResetCredentialsFlow()

      Specified by:
        `getResetCredentialsFlow` in interface `RealmModel`

    - #### setResetCredentialsFlow

          public void setResetCredentialsFlow(AuthenticationFlowModel flow)

      Specified by:
        `setResetCredentialsFlow` in interface `RealmModel`

    - #### getClientAuthenticationFlow

          public AuthenticationFlowModel getClientAuthenticationFlow()

      Specified by:
        `getClientAuthenticationFlow` in interface `RealmModel`

    - #### setClientAuthenticationFlow

          public void setClientAuthenticationFlow(AuthenticationFlowModel flow)

      Specified by:
        `setClientAuthenticationFlow` in interface `RealmModel`

    - #### getDockerAuthenticationFlow

          public AuthenticationFlowModel getDockerAuthenticationFlow()

      Specified by:
        `getDockerAuthenticationFlow` in interface `RealmModel`

    - #### setDockerAuthenticationFlow

          public void setDockerAuthenticationFlow(AuthenticationFlowModel flow)

      Specified by:
        `setDockerAuthenticationFlow` in interface `RealmModel`

    - #### getAuthenticationFlowsStream

          public Stream<AuthenticationFlowModel> getAuthenticationFlowsStream()

      Specified by:
        `getAuthenticationFlowsStream` in interface `RealmModel`

    - #### getFlowByAlias

          public AuthenticationFlowModel getFlowByAlias(String alias)

      Specified by:
        `getFlowByAlias` in interface `RealmModel`

    - #### getAuthenticatorConfigByAlias

          public AuthenticatorConfigModel getAuthenticatorConfigByAlias(String alias)

      Specified by:
        `getAuthenticatorConfigByAlias` in interface `RealmModel`

    - #### addAuthenticationFlow

          public AuthenticationFlowModel addAuthenticationFlow(AuthenticationFlowModel model)

      Specified by:
        `addAuthenticationFlow` in interface `RealmModel`

    - #### getAuthenticationFlowById

          public AuthenticationFlowModel getAuthenticationFlowById(String id)

      Specified by:
        `getAuthenticationFlowById` in interface `RealmModel`

    - #### removeAuthenticationFlow

          public void removeAuthenticationFlow(AuthenticationFlowModel model)

      Specified by:
        `removeAuthenticationFlow` in interface `RealmModel`

    - #### updateAuthenticationFlow

          public void updateAuthenticationFlow(AuthenticationFlowModel model)

      Specified by:
        `updateAuthenticationFlow` in interface `RealmModel`

    - #### getAuthenticationExecutionsStream

          public Stream<AuthenticationExecutionModel> getAuthenticationExecutionsStream(String flowId)

      Description copied from interface: `RealmModel`
      Returns sorted `AuthenticationExecutionModel` as a stream. It should be used with forEachOrdered if the ordering is required.
      Specified by:
        `getAuthenticationExecutionsStream` in interface `RealmModel`
      Returns:
        Sorted stream

    - #### getAuthenticationExecutionById

          public AuthenticationExecutionModel getAuthenticationExecutionById(String id)

      Specified by:
        `getAuthenticationExecutionById` in interface `RealmModel`

    - #### getAuthenticationExecutionByFlowId

          public AuthenticationExecutionModel getAuthenticationExecutionByFlowId(String flowId)

      Specified by:
        `getAuthenticationExecutionByFlowId` in interface `RealmModel`

    - #### addAuthenticatorExecution

          public AuthenticationExecutionModel addAuthenticatorExecution(AuthenticationExecutionModel model)

      Specified by:
        `addAuthenticatorExecution` in interface `RealmModel`

    - #### updateAuthenticatorExecution

          public void updateAuthenticatorExecution(AuthenticationExecutionModel model)

      Specified by:
        `updateAuthenticatorExecution` in interface `RealmModel`

    - #### removeAuthenticatorExecution

          public void removeAuthenticatorExecution(AuthenticationExecutionModel model)

      Specified by:
        `removeAuthenticatorExecution` in interface `RealmModel`

    - #### getAuthenticatorConfigsStream

          public Stream<AuthenticatorConfigModel> getAuthenticatorConfigsStream()

      Specified by:
        `getAuthenticatorConfigsStream` in interface `RealmModel`

    - #### addAuthenticatorConfig

          public AuthenticatorConfigModel addAuthenticatorConfig(AuthenticatorConfigModel model)

      Specified by:
        `addAuthenticatorConfig` in interface `RealmModel`

    - #### updateAuthenticatorConfig

          public void updateAuthenticatorConfig(AuthenticatorConfigModel model)

      Specified by:
        `updateAuthenticatorConfig` in interface `RealmModel`

    - #### removeAuthenticatorConfig

          public void removeAuthenticatorConfig(AuthenticatorConfigModel model)

      Specified by:
        `removeAuthenticatorConfig` in interface `RealmModel`

    - #### getAuthenticatorConfigById

          public AuthenticatorConfigModel getAuthenticatorConfigById(String id)

      Specified by:
        `getAuthenticatorConfigById` in interface `RealmModel`

    - #### getRequiredActionProvidersStream

          public Stream<RequiredActionProviderModel> getRequiredActionProvidersStream()

      Description copied from interface: `RealmModel`
      Returns sorted `RequiredActionProviderModel` as a stream. It should be used with forEachOrdered if the ordering is required.
      Specified by:
        `getRequiredActionProvidersStream` in interface `RealmModel`
      Returns:
        Sorted stream

    - #### addRequiredActionProvider

          public RequiredActionProviderModel addRequiredActionProvider(RequiredActionProviderModel model)

      Specified by:
        `addRequiredActionProvider` in interface `RealmModel`

    - #### updateRequiredActionProvider

          public void updateRequiredActionProvider(RequiredActionProviderModel model)

      Specified by:
        `updateRequiredActionProvider` in interface `RealmModel`

    - #### removeRequiredActionProvider

          public void removeRequiredActionProvider(RequiredActionProviderModel model)

      Specified by:
        `removeRequiredActionProvider` in interface `RealmModel`

    - #### getRequiredActionProviderById

          public RequiredActionProviderModel getRequiredActionProviderById(String id)

      Specified by:
        `getRequiredActionProviderById` in interface `RealmModel`

    - #### getRequiredActionProviderByAlias

          public RequiredActionProviderModel getRequiredActionProviderByAlias(String alias)

      Specified by:
        `getRequiredActionProviderByAlias` in interface `RealmModel`

    - #### createGroup

          public GroupModel createGroup(String id,
                                        String name,
                                        GroupModel toParent)

      Specified by:
        `createGroup` in interface `RealmModel`

    - #### moveGroup

          public void moveGroup(GroupModel group,
                                GroupModel toParent)

      Specified by:
        `moveGroup` in interface `RealmModel`

    - #### getGroupById

          public GroupModel getGroupById(String id)

      Specified by:
        `getGroupById` in interface `RealmModel`

    - #### getGroupsStream

          public Stream<GroupModel> getGroupsStream()

      Specified by:
        `getGroupsStream` in interface `RealmModel`

    - #### getGroupsCount

          public Long getGroupsCount(Boolean onlyTopGroups)

      Specified by:
        `getGroupsCount` in interface `RealmModel`

    - #### getGroupsCountByNameContaining

          public Long getGroupsCountByNameContaining(String search)

      Specified by:
        `getGroupsCountByNameContaining` in interface `RealmModel`

    - #### getTopLevelGroupsStream

          public Stream<GroupModel> getTopLevelGroupsStream()

      Specified by:
        `getTopLevelGroupsStream` in interface `RealmModel`

    - #### getTopLevelGroupsStream

          public Stream<GroupModel> getTopLevelGroupsStream(Integer first,
                                                            Integer max)

      Specified by:
        `getTopLevelGroupsStream` in interface `RealmModel`

    - #### searchForGroupByNameStream

          public Stream<GroupModel> searchForGroupByNameStream(String search,
                                                               Integer first,
                                                               Integer max)

      Specified by:
        `searchForGroupByNameStream` in interface `RealmModel`

    - #### removeGroup

          public boolean removeGroup(GroupModel group)

      Specified by:
        `removeGroup` in interface `RealmModel`

    - #### getClientScopesStream

          public Stream<ClientScopeModel> getClientScopesStream()

      Specified by:
        `getClientScopesStream` in interface `RealmModel`

    - #### addClientScope

          public ClientScopeModel addClientScope(String name)

      Specified by:
        `addClientScope` in interface `RealmModel`

    - #### addClientScope

          public ClientScopeModel addClientScope(String id,
                                                 String name)

      Specified by:
        `addClientScope` in interface `RealmModel`

    - #### removeClientScope

          public boolean removeClientScope(String id)

      Specified by:
        `removeClientScope` in interface `RealmModel`

    - #### getClientScopeById

          public ClientScopeModel getClientScopeById(String id)

      Specified by:
        `getClientScopeById` in interface `RealmModel`

    - #### addDefaultClientScope

          public void addDefaultClientScope(ClientScopeModel clientScope,
                                            boolean defaultScope)

      Specified by:
        `addDefaultClientScope` in interface `RealmModel`

    - #### removeDefaultClientScope

          public void removeDefaultClientScope(ClientScopeModel clientScope)

      Specified by:
        `removeDefaultClientScope` in interface `RealmModel`

    - #### getDefaultClientScopesStream

          public Stream<ClientScopeModel> getDefaultClientScopesStream(boolean defaultScope)

      Specified by:
        `getDefaultClientScopesStream` in interface `RealmModel`

    - #### addComponentModel

          public ComponentModel addComponentModel(ComponentModel model)

      Description copied from interface: `RealmModel`
      Adds component model. Will call onCreate() method of ComponentFactory
      Specified by:
        `addComponentModel` in interface `RealmModel`
      Returns:

    - #### importComponentModel

          public ComponentModel importComponentModel(ComponentModel model)

      Description copied from interface: `RealmModel`
      Adds component model. Will NOT call onCreate() method of ComponentFactory
      Specified by:
        `importComponentModel` in interface `RealmModel`
      Returns:

    - #### executeEvictions

          public void executeEvictions(ComponentModel model)

    - #### updateComponent

          public void updateComponent(ComponentModel component)

      Specified by:
        `updateComponent` in interface `RealmModel`

    - #### removeComponent

          public void removeComponent(ComponentModel component)

      Specified by:
        `removeComponent` in interface `RealmModel`

    - #### removeComponents

          public void removeComponents(String parentId)

      Specified by:
        `removeComponents` in interface `RealmModel`

    - #### getComponentsStream

          public Stream<ComponentModel> getComponentsStream(String parentId,
                                                            String providerType)

      Description copied from interface: `RealmModel`
      Returns stream of ComponentModels for specific parentId and providerType.
      Specified by:
        `getComponentsStream` in interface `RealmModel`
      Parameters:
        `parentId` - id of parent
        `providerType` - type of provider
      Returns:
        stream of ComponentModels

    - #### getComponentsStream

          public Stream<ComponentModel> getComponentsStream(String parentId)

      Specified by:
        `getComponentsStream` in interface `RealmModel`

    - #### getComponentsStream

          public Stream<ComponentModel> getComponentsStream()

      Specified by:
        `getComponentsStream` in interface `RealmModel`

    - #### getComponent

          public ComponentModel getComponent(String id)

      Specified by:
        `getComponent` in interface `RealmModel`

    - #### setAttribute

          public void setAttribute(String name,
                                   String value)

      Specified by:
        `setAttribute` in interface `RealmModel`

    - #### setAttribute

          public void setAttribute(String name,
                                   Boolean value)

      Specified by:
        `setAttribute` in interface `RealmModel`

    - #### setAttribute

          public void setAttribute(String name,
                                   Integer value)

      Specified by:
        `setAttribute` in interface `RealmModel`

    - #### setAttribute

          public void setAttribute(String name,
                                   Long value)

      Specified by:
        `setAttribute` in interface `RealmModel`

    - #### removeAttribute

          public void removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `RealmModel`

    - #### getAttribute

          public String getAttribute(String name)

      Specified by:
        `getAttribute` in interface `RealmModel`

    - #### getAttribute

          public Integer getAttribute(String name,
                                      Integer defaultValue)

      Specified by:
        `getAttribute` in interface `RealmModel`

    - #### getAttribute

          public Long getAttribute(String name,
                                   Long defaultValue)

      Specified by:
        `getAttribute` in interface `RealmModel`

    - #### getAttribute

          public Boolean getAttribute(String name,
                                      Boolean defaultValue)

      Specified by:
        `getAttribute` in interface `RealmModel`

    - #### getAttributes

          public Map<String,String> getAttributes()

      Specified by:
        `getAttributes` in interface `RealmModel`

    - #### patchRealmLocalizationTexts

          public void patchRealmLocalizationTexts(String locale,
                                                  Map<String,String> localizationTexts)

      Description copied from interface: `RealmModel`
      Patches the realm-specific localization texts. This method will not delete any text. It updates texts, which are already stored or create new ones if the key does not exist yet.
      Specified by:
        `patchRealmLocalizationTexts` in interface `RealmModel`

    - #### removeRealmLocalizationTexts

          public boolean removeRealmLocalizationTexts(String locale)

      Specified by:
        `removeRealmLocalizationTexts` in interface `RealmModel`

    - #### getRealmLocalizationTexts

          public Map<String,Map<String,String>> getRealmLocalizationTexts()

      Specified by:
        `getRealmLocalizationTexts` in interface `RealmModel`

    - #### getRealmLocalizationTextsByLocale

          public Map<String,String> getRealmLocalizationTextsByLocale(String locale)

      Specified by:
        `getRealmLocalizationTextsByLocale` in interface `RealmModel`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.